Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.handler.rewrite
Class HeaderRule

    java.lang.Object
      org.mortbay.jetty.handler.rewrite.Rule
          org.mortbay.jetty.handler.rewrite.HeaderRule

Direct Known Subclasses:
  ForwardedSchemeHeaderRule

    public abstract class HeaderRule

extends Rule

Abstract rule that matches against request headers.

Field Summary

Fields inherited from class org.mortbay.jetty.handler.rewrite.Rule
`_handling, _terminating`

Constructor Summary
`HeaderRule()`

Method Summary
`protected abstract java.lang.String` | `apply(java.lang.String target, java.lang.String value, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Apply the rule to the request
`java.lang.String` | `getHeader()`
`java.lang.String` | `getHeaderValue()`
`java.lang.String` | `matchAndApply(java.lang.String target, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.
`void` | `setHeader(java.lang.String header)`
`void` | `setHeaderValue(java.lang.String headerValue)`
`java.lang.String` | `toString()` Returns the handling and terminating flag values.

Methods inherited from class org.mortbay.jetty.handler.rewrite.Rule
`isHandling, isTerminating, setHandling, setTerminating`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HeaderRule

    public HeaderRule()

Method Detail

### getHeader

    public java.lang.String getHeader()

### setHeader

    public void setHeader(java.lang.String header)

  Parameters:
    `header` - the header name to check for

### getHeaderValue

    public java.lang.String getHeaderValue()

### setHeaderValue

    public void setHeaderValue(java.lang.String headerValue)

  Parameters:
    `headerValue` - the header value to match against. If null, then the presence of the header is enough to match

### matchAndApply

    public java.lang.String matchAndApply(java.lang.String target,
                                          javax.servlet.http.HttpServletRequest request,
                                          javax.servlet.http.HttpServletResponse response)
                                   throws java.io.IOException

  Description copied from class: `Rule`
  This method calls tests the rule against the request/response pair and if the Rule applies, then the rule's action is triggered.

  Specified by:
    `matchAndApply` in class `Rule`
  Parameters:
    `target` - The target of the request
  Returns:
    The new target if the rule has matched, else null
  Throws:
    `java.io.IOException` - TODO

### apply

    protected abstract java.lang.String apply(java.lang.String target,
                                              java.lang.String value,
                                              javax.servlet.http.HttpServletRequest request,
                                              javax.servlet.http.HttpServletResponse response)
                                       throws java.io.IOException

  Apply the rule to the request

  Parameters:
    `target` - field to attempt match
    `value` - header value found
    `request` - request object
    `response` - response object
  Returns:
    The target (possible updated)
  Throws:
    `java.io.IOException` - exceptions dealing with operating on request or response objects

### toString

    public java.lang.String toString()

  Description copied from class: `Rule`
  Returns the handling and terminating flag values.

  Overrides:
    `toString` in class `Rule`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.